Blame stdlib/tst-setcontext3.sh

Packit 6c4009
#!/bin/sh
Packit 6c4009
# Bug 18125: Test the exit functionality of setcontext().
Packit 6c4009
# Copyright (C) 2015-2018 Free Software Foundation, Inc.
Packit 6c4009
# This file is part of the GNU C Library.
Packit 6c4009
Packit 6c4009
# The GNU C Library is free software; you can redistribute it and/or
Packit 6c4009
# modify it under the terms of the GNU Lesser General Public
Packit 6c4009
# License as published by the Free Software Foundation; either
Packit 6c4009
# version 2.1 of the License, or (at your option) any later version.
Packit 6c4009
Packit 6c4009
# The GNU C Library is distributed in the hope that it will be useful,
Packit 6c4009
# but WITHOUT ANY WARRANTY; without even the implied warranty of
Packit 6c4009
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Packit 6c4009
# Lesser General Public License for more details.
Packit 6c4009
Packit 6c4009
# You should have received a copy of the GNU Lesser General Public
Packit 6c4009
# License along with the GNU C Library; if not, see
Packit 6c4009
# <http://www.gnu.org/licenses/>.
Packit 6c4009
Packit 6c4009
set -e
Packit 6c4009
Packit 6c4009
common_objpfx=$1
Packit 6c4009
test_program_prefix_before_env=$2
Packit 6c4009
run_program_env=$3
Packit 6c4009
test_program_prefix_after_env=$4
Packit 6c4009
objpfx=$5
Packit 6c4009
Packit 6c4009
test_pre="${test_program_prefix_before_env} ${run_program_env}"
Packit 6c4009
test="${test_program_prefix_after_env} ${objpfx}tst-setcontext3"
Packit 6c4009
out=${objpfx}tst-setcontext3.out
Packit 6c4009
Packit 6c4009
cleanup() {
Packit 6c4009
  rm -f $tempfile
Packit 6c4009
}
Packit 6c4009
trap cleanup 0
Packit 6c4009
Packit 6c4009
tempfile=$(mktemp "${objpfx}tst-setcontext3.XXXXXXXXXX")
Packit 6c4009
Packit 6c4009
# We want to run the test program and see if secontext called
Packit 6c4009
# exit() and wrote out the test file we specified.  If the
Packit 6c4009
# test exits with a non-zero status this will fail because we
Packit 6c4009
# are using `set -e`.
Packit 6c4009
$test_pre $test "$tempfile"
Packit 6c4009
Packit 6c4009
# Look for resulting file.
Packit 6c4009
if [ -e "$tempfile" ]; then
Packit 6c4009
  echo "PASS: tst-setcontext3 an exit() and created $tempfile"
Packit 6c4009
  exit 0
Packit 6c4009
else
Packit 6c4009
  echo "FAIL: tst-setcontext3 did not create $tempfile"
Packit 6c4009
  exit 1
Packit 6c4009
fi